Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class RemoteOWS

    java.lang.Object
      org.deegree.graphics.sld.RemoteOWS

All Implemented Interfaces:
  Marshallable

    public class RemoteOWS

extends Object
implements Marshallable

Since a layer is defined as a collection of potentially mixed-type features, the UserLayer element must provide the means to identify the features to be used. All features to be rendered are assumed to be fetched from a Web Feature Server (WFS) or a Web Coverage CapabilitiesService (WCS, in which case the term features is used loosely).

The remote server to be used is identified by RemoteOWS (OGC Web CapabilitiesService) element.

Version:
  $Revision: 24806 $ $Date: 2010-06-09 16:41:16 +0200 (Mi, 09. Jun 2010) $
Author:
  Andreas Poth, last edited by: $Author: apoth $

Field Summary
`static String` | `WCS` WCS
`static String` | `WFS` WFS

Constructor Summary
`RemoteOWS(String service, URL onlineResource)` Creates a new RemoteOWS object.

Method Summary
`String` | `exportAsXML()` exports the content of the RemoteOWS as XML formated String
`URL` | `getOnlineResource()` address of the the ows as URL
`String` | `getService()` type of service that is represented by the remote ows. at the moment `WFS` and `WCS` are possible values.
`void` | `setOnlineResource(URL onlineResource)`
`void` | `setService(String service)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WFS

    public static final String WFS

  WFS

  See Also:
    Constant Field Values

### WCS

    public static final String WCS

  WCS

  See Also:
    Constant Field Values

Constructor Detail

### RemoteOWS

    RemoteOWS(String service,
              URL onlineResource)

  Creates a new RemoteOWS object.

  Parameters:
    `service` -
    `onlineResource` -

Method Detail

### getService

    public String getService()

  type of service that is represented by the remote ows. at the moment `WFS` and `WCS` are possible values.

  Returns:
    the type of the services

### setService

    public void setService(String service)

  Parameters:
    `service` - the type of the services
  See Also:
    `getService()`

### getOnlineResource

    public URL getOnlineResource()

  address of the the ows as URL

  Returns:
    the adress of the ows as URL

### setOnlineResource

    public void setOnlineResource(URL onlineResource)

  Parameters:
    `onlineResource` - the adress of the ows as URL
  See Also:
    `getOnlineResource()`

### exportAsXML

    public String exportAsXML()

  exports the content of the RemoteOWS as XML formated String

  Specified by:
    `exportAsXML` in interface `Marshallable`
  Returns:
    xml representation of the RemoteOWS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org